package com.steerinfo.ems.bfhyd.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="动力质量表")
public class Bfhyd implements IBasePO<String> {
    /**
     * 化验单号(BFHYD_ZJDH,VARCHAR,200)
     */
    @ApiModelProperty(value="化验单号",required=true)
    private String bfhydZjdh;

    /**
     * 采样日期(BFHYD_SYRQ,TIMESTAMP,7)
     */
    @ApiModelProperty(value="采样日期",required=false)
    private String bfhydSyrq;

    @ApiModelProperty(value = "质检人",required = false)
    private String bfhydZjr;

    /**
     * 化验日期(BFHYD_HYRQ,TIMESTAMP,7)
     */
    @ApiModelProperty(value="化验日期",required=false)
    private String  bfhydHyrq;

    /**
     * 取样地点(BFHYD_26,VARCHAR,100)
     */
    @ApiModelProperty(value="取样地点",required=false)
    private String bfhyd26;

    /**
     * 样品名称(BFHYD_27,VARCHAR,100)
     */
    @ApiModelProperty(value="样品名称",required=false)
    private String bfhyd27;

    /**
     * 含苯g/m3(BFHYD_01,DECIMAL,0)
     */
    @ApiModelProperty(value="含苯g/m3",required=false)
    private Short bfhyd01;

    /**
     * 含H2S mg/m3(BFHYD_02,DECIMAL,0)
     */
    @ApiModelProperty(value="含H2S mg/m3",required=false)
    private Short bfhyd02;

    /**
     * 含氨mg/m3(BFHYD_03,DECIMAL,0)
     */
    @ApiModelProperty(value="含氨mg/m3",required=false)
    private Short bfhyd03;

    /**
     * 焦油和灰尘含量mg/m3(BFHYD_04,DECIMAL,0)
     */
    @ApiModelProperty(value="焦油和灰尘含量mg/m3",required=false)
    private Short bfhyd04;

    /**
     * 低热值KJ/m3(BFHYD_05,DECIMAL,0)
     */
    @ApiModelProperty(value="低热值KJ/m3",required=false)
    private Short bfhyd05;

    /**
     * O2%(BFHYD_06,DECIMAL,0)
     */
    @ApiModelProperty(value="O2%",required=false)
    private Short bfhyd06;

    /**
     * N2%(BFHYD_07,DECIMAL,0)
     */
    @ApiModelProperty(value="N2%",required=false)
    private Short bfhyd07;

    /**
     * CH4%(BFHYD_08,DECIMAL,0)
     */
    @ApiModelProperty(value="CH4%",required=false)
    private Short bfhyd08;

    /**
     * CO%(BFHYD_09,DECIMAL,0)
     */
    @ApiModelProperty(value="CO%",required=false)
    private Short bfhyd09;

    /**
     * CO2%(BFHYD_10,DECIMAL,0)
     */
    @ApiModelProperty(value="CO2%",required=false)
    private Short bfhyd10;

    /**
     * C2H4%(BFHYD_11,DECIMAL,0)
     */
    @ApiModelProperty(value="C2H4%",required=false)
    private Short bfhyd11;

    /**
     * H2%(BFHYD_12,DECIMAL,0)
     */
    @ApiModelProperty(value="H2%",required=false)
    private Short bfhyd12;

    @ApiModelProperty(value = "TS", required = true)
    private Date ts;

    public Date getTs() {
        return ts;
    }

    public void setTs(Date ts) {
        this.ts = ts;
    }

    private static final long serialVersionUID = 1L;
    public String getBfhydZjr() {
        return bfhydZjr;
    }

    public void setBfhydZjr(String bfhydZjr) {
        this.bfhydZjr = bfhydZjr;
    }
    @Override
    public String getId() {
        return this.bfhydZjdh;
    }

    @Override
    public void setId(String bfhydZjdh) {
        this.bfhydZjdh = bfhydZjdh == null ? null : bfhydZjdh.trim();
    }

    public String getBfhydZjdh() {
        return bfhydZjdh;
    }

    public void setBfhydZjdh(String bfhydZjdh) {
        this.bfhydZjdh = bfhydZjdh == null ? null : bfhydZjdh.trim();
    }

    public String getBfhydSyrq() {
        return bfhydSyrq;
    }

    public void setBfhydSyrq(String bfhydSyrq) {
        this.bfhydSyrq = bfhydSyrq;
    }

    public String getBfhydHyrq() {
        return bfhydHyrq;
    }

    public void setBfhydHyrq(String bfhydHyrq) {
        this.bfhydHyrq = bfhydHyrq;
    }

    public String getBfhyd26() {
        return bfhyd26;
    }

    public void setBfhyd26(String bfhyd26) {
        this.bfhyd26 = bfhyd26 == null ? null : bfhyd26.trim();
    }

    public String getBfhyd27() {
        return bfhyd27;
    }

    public void setBfhyd27(String bfhyd27) {
        this.bfhyd27 = bfhyd27 == null ? null : bfhyd27.trim();
    }

    public Short getBfhyd01() {
        return bfhyd01;
    }

    public void setBfhyd01(Short bfhyd01) {
        this.bfhyd01 = bfhyd01;
    }

    public Short getBfhyd02() {
        return bfhyd02;
    }

    public void setBfhyd02(Short bfhyd02) {
        this.bfhyd02 = bfhyd02;
    }

    public Short getBfhyd03() {
        return bfhyd03;
    }

    public void setBfhyd03(Short bfhyd03) {
        this.bfhyd03 = bfhyd03;
    }

    public Short getBfhyd04() {
        return bfhyd04;
    }

    public void setBfhyd04(Short bfhyd04) {
        this.bfhyd04 = bfhyd04;
    }

    public Short getBfhyd05() {
        return bfhyd05;
    }

    public void setBfhyd05(Short bfhyd05) {
        this.bfhyd05 = bfhyd05;
    }

    public Short getBfhyd06() {
        return bfhyd06;
    }

    public void setBfhyd06(Short bfhyd06) {
        this.bfhyd06 = bfhyd06;
    }

    public Short getBfhyd07() {
        return bfhyd07;
    }

    public void setBfhyd07(Short bfhyd07) {
        this.bfhyd07 = bfhyd07;
    }

    public Short getBfhyd08() {
        return bfhyd08;
    }

    public void setBfhyd08(Short bfhyd08) {
        this.bfhyd08 = bfhyd08;
    }

    public Short getBfhyd09() {
        return bfhyd09;
    }

    public void setBfhyd09(Short bfhyd09) {
        this.bfhyd09 = bfhyd09;
    }

    public Short getBfhyd10() {
        return bfhyd10;
    }

    public void setBfhyd10(Short bfhyd10) {
        this.bfhyd10 = bfhyd10;
    }

    public Short getBfhyd11() {
        return bfhyd11;
    }

    public void setBfhyd11(Short bfhyd11) {
        this.bfhyd11 = bfhyd11;
    }

    public Short getBfhyd12() {
        return bfhyd12;
    }

    public void setBfhyd12(Short bfhyd12) {
        this.bfhyd12 = bfhyd12;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", bfhydZjdh=").append(bfhydZjdh);
        sb.append(", bfhydSyrq=").append(bfhydSyrq);
        sb.append(", bfhydHyrq=").append(bfhydHyrq);
        sb.append(", bfhyd26=").append(bfhyd26);
        sb.append(", bfhyd27=").append(bfhyd27);
        sb.append(", bfhyd01=").append(bfhyd01);
        sb.append(", bfhyd02=").append(bfhyd02);
        sb.append(", bfhyd03=").append(bfhyd03);
        sb.append(", bfhyd04=").append(bfhyd04);
        sb.append(", bfhyd05=").append(bfhyd05);
        sb.append(", bfhyd06=").append(bfhyd06);
        sb.append(", bfhyd07=").append(bfhyd07);
        sb.append(", bfhyd08=").append(bfhyd08);
        sb.append(", bfhyd09=").append(bfhyd09);
        sb.append(", bfhyd10=").append(bfhyd10);
        sb.append(", bfhyd11=").append(bfhyd11);
        sb.append(", bfhyd12=").append(bfhyd12);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}